Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

contrib/libunbound.pc.in: Fixes to Libs/Requires for crypto library dependencies #155

Merged
merged 2 commits into from Jan 27, 2020

Conversation

edmonds
Copy link
Contributor

@edmonds edmonds commented Jan 27, 2020

contrib/libunbound.pc.in: Only specify -lunbound for Libs

According to the pkg-config manpage, the "Libs" line in a .pc file should give the link flags "specific to your package", and specifically says not to include link flags for dependencies:

Libs:  This line should give the link flags specific to your
       package.  Don't add any flags for required packages;
       pkg-config will add those automatically.

contrib/libunbound.pc.in: Embed the correct crypto dependencies

This commit removes the hardcoded dependency in the libunbound pkg-config .pc file on the libcrypto and libssl modules and instead populates the .pc file based on which crypto library was selected at configure time.

Note that the .pc file specifies pkg-config module names for the "Requires" line and this can vary from the library filename (e.g. "nss" is the pkg-config module name vs. "nss3" being the library name).

edmonds added 2 commits Jan 27, 2020
According to the pkg-config manpage, the "Libs" line in a .pc file
should give the link flags "specific to your package", and specifically
says not to include link flags for dependencies:

    Libs:  This line should give the link flags specific to your
           package.  Don't add any flags for required packages;
           pkg-config will add those automatically.
This commit removes the hardcoded dependency in the libunbound
pkg-config .pc file on the libcrypto and libssl modules and instead
populates the .pc file based on which crypto library was selected at
configure time.

Note that the .pc file specifies pkg-config module names for the
"Requires" line and this can vary from the library filename (e.g. "nss"
is the pkg-config module name vs. "nss3" being the library name).
@edmonds edmonds changed the title contrib/libunbound.pc.in: Only specify -lunbound for Libs contrib/libunbound.pc.in: Fixes to Libs/Requires for crypto library dependencies Jan 27, 2020
@wcawijngaards wcawijngaards self-assigned this Jan 27, 2020
Copy link
Member

@wcawijngaards wcawijngaards left a comment

These changes look good!

@wcawijngaards
Copy link
Member

wcawijngaards commented Jan 27, 2020

Thanks for the PR, that makes it easier to use different crypto libraries.

@wcawijngaards wcawijngaards merged commit ec9e4eb into NLnetLabs:master Jan 27, 2020
1 check passed
@edmonds edmonds deleted the edmonds/pkg-config/libs-fixes branch Jan 27, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants